# eric7.Preferences.ConfigurationPages.WebBrowserAppearancePage

Module implementing the Web Browser Appearance configuration page.

### Global Attributes

None

### Classes

WebBrowserAppearancePage | Class implementing the Web Browser Appearance page.

### Functions

create | Module function to create the configuration page.

## WebBrowserAppearancePage

Class implementing the Web Browser Appearance page.

### Derived from

ConfigurationPageBase, Ui_WebBrowserAppearancePage

### Class Attributes

None

### Class Methods

None

### Methods

WebBrowserAppearancePage | Constructor
save | Public slot to save the Help Viewers configuration.
setMode | Public method to perform mode dependent setups.

### Static Methods

None

#### WebBrowserAppearancePage (Constructor)

WebBrowserAppearancePage()

Constructor

#### WebBrowserAppearancePage.save

save()

Public slot to save the Help Viewers configuration.

#### WebBrowserAppearancePage.setMode

setMode(displayMode)

Public method to perform mode dependent setups.

displayMode
  mode of the configuration dialog (ConfigurationMode.DEFAULTMODE, ConfigurationMode.WEBBROWSERMODE)

Up

## create

create(dlg)

Module function to create the configuration page.

dlg
  reference to the configuration dialog

Return:
  reference to the instantiated page (ConfigurationPageBase)

Up